FreeBSD : typo -- XSS (67516177-88ec-11e1-9a10-0023ae8e59f0)

Medium Nessus Plugin ID 58790


The remote FreeBSD host is missing one or more security-related updates.


Typo Security Team reports :

Failing to properly encode the output, the default TYPO3 Exception Handler is susceptible to Cross-Site Scripting. We are not aware of a possibility to exploit this vulnerability without third party extensions being installed that put user input in exception messages.
However, it has come to our attention that extensions using the extbase MVC framework can be used to exploit this vulnerability if these extensions accept objects in controller actions.


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 58790

File Name: freebsd_pkg_6751617788ec11e19a100023ae8e59f0.nasl

Version: $Revision: 1.5 $

Type: local

Published: 2012/04/19

Modified: 2014/08/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:typo3, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2012/04/18

Vulnerability Publication Date: 2012/04/17

Reference Information

CVE: CVE-2012-2112